
D4Science Infrastructure - Incident #7570

Files cannot be downloaded from the DataMiner check the computations area

Mar 17, 2017 04:31 PM - Gianpaolo Coro

Status: Closed Start date: Mar 17, 2017

Priority: Immediate Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: Data Processing   

Infrastructure: Production   

Description

Files inside the Computation inner "Output Data Sets" folder cannot be downloaded. The request simply gets hung.

VRE is DrumFish, algorithm CMSY_2. This is going to be used next week in a Workshop.

History

#1 - Mar 17, 2017 04:58 PM - Gianpaolo Coro

- Assignee changed from Giancarlo Panichi to Valentina Marioli

I cannot generate the public link of those resources. I guess the issue is there.

#2 - Mar 17, 2017 05:01 PM - Gianpaolo Coro

I also have issues from the Garr machines. An HL error occurs:

org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.gcube.common.homelibrary.home.excepti

ons.InternalErrorException: org.gcube.common.homelibrary.model.

exceptions.RepositoryException

        at org.gcube.common.homelibrary.jcr.JCRHomeManager.getHome(JCRHomeManager.java:118)

        at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.dataspace.DataspaceManager.delete

RunningComputationData(DataspaceManager.java:483)

        at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.dataspace.DataspaceManager.writeR

unningComputationData(DataspaceManager.java:415)

        at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.AbstractEcologicalEngineMapper$Ru

nDataspaceManager.run(AbstractEcologicalEngineMapper.java:329)

        at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.AbstractEcologicalEngineMapper.up

dateComputationOnWS(AbstractEcologicalEngineMapper.java:344)

        at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.AbstractEcologicalEngineMapper.up

dateComputationOnWS(AbstractEcologicalEngineMapper.java:314)

        at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.AbstractEcologicalEngineMapper.up

dateStatus(AbstractEcologicalEngineMapper.java:300)

        at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.AbstractEcologicalEngineMapper$St

atusUpdater.run(AbstractEcologicalEngineMapper.java:532)

        at java.lang.Thread.run(Thread.java:745)

Caused by: org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.gcube.common.homelibrary.m

odel.exceptions.RepositoryException

        at org.gcube.common.homelibrary.jcr.repository.JCRRepository.<init>(JCRRepository.java:77)

        at org.gcube.common.homelibrary.jcr.home.JCRHome.<init>(JCRHome.java:38)

        at org.gcube.common.homelibrary.jcr.JCRHomeManager.getHome(JCRHomeManager.java:116)

        ... 8 more

Caused by: org.gcube.common.homelibrary.model.exceptions.RepositoryException

        at org.gcube.common.homelibrary.jcr.repository.JCRRepository.init(JCRRepository.java:301)

        at org.gcube.common.homelibrary.jcr.repository.JCRRepository.<init>(JCRRepository.java:75)

        ... 10 more

#3 - Mar 17, 2017 06:32 PM - Valentina Marioli

- Status changed from New to In Progress

The files in /Home/gianpaolo.coro/Workspace/DataMiner/ have been saved in the storage with service name "test-home-library".

I suggest you to update the HL libraries in DM. 

#4 - Mar 17, 2017 06:37 PM - Gianpaolo Coro

Is it possible to update the HL on the DM machine?

Dec 15, 2025 1/2



#5 - Mar 17, 2017 07:03 PM - Andrea Dell'Amico

Where can I get the jar file?

#6 - Mar 17, 2017 07:32 PM - Andrea Dell'Amico

- Assignee changed from Valentina Marioli to Andrea Dell'Amico

I just updated the GARR dataminer instances. Now the other ones.

#7 - Mar 17, 2017 07:39 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Done. The smartgears servers are restarting now.
